# *-* coding: UTF8 *-*

servers={
        'c':['opencyclemap', 'www.opencyclemap.org/', 'B000', 'carte cycliste'],
        'ia':["addresses.inspector.geofabrik", 'tools.geofabrik.de/osmi/', "&view=addresses", "analyse des adresses"],
        'ig':["geometry.inspector.geofabrik", 'tools.geofabrik.de/osmi/', "&view=geometry", "analyse des chemins"],
        'l8':['communes.beta.letuffe', 'beta.letuffe.org', 'B0000FFFFFFFTFFFFFF', 'limites de communes (admin_level=8)'],
        'lc':['clc.beta.letuffe', 'beta.letuffe.org', 'B0000FFFFFFFFFFFFFT', 'layer pour import CLC'],
        'm':['map.meurisse', 'map.meurisse.org', '0', 'calcul de distances'],
        'o':['OpenStreetMap', 'www.openstreetmap.org', 'B000FTF', 'mapnik sur OSM'],
        'r':['osmose', 'osmose.openstreetmap.fr/map/cgi-bin/index.py', 'B00000FFFFFFFFFFFFFT', 'erreurs'],
        's':['sautter', 'sautter.com/map/', '00B000TFFFFF', 'superposition Google aéro & mapnik'],
#        '':['', '', '', ''],
        }

def index():
    html="""
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"> 
<head> 
  <title>Map Jumper configurator</title> 
</head>
<body>
Select servers:
<form action="mapjumper.py/submit" method="GET" >
"""
    for key in servers:
        html+='<input type="checkbox" name="%s" value="ok" checked = "checked">%s (%s)</input><br />\n' % (key, servers[key][3], servers[key][1])
    html+="""<input type="submit">
</form><br />
<a href="http://wiki.openstreetmap.org/wiki/User:FrViPofm/mapJumper">More info (French)</a><br />
</body>
</html>"""
    return html

def submit(req, **kwargs):

    html="""<html>
<head> 
  <title>Map Jumper configurator</title> 
</head>
<body>
<input type="text" id="mj" value=\'javascript:mJ={"""

    keys=[]
    for key in kwargs:
        if key in servers:
           keys.append(key)

    keys.sort() 
    for key in keys:
        html+='%s:["%s","%s"],' % (key, servers[key][1],  servers[key][2])
    html+='"_":document.location};mJ.$=prompt("Choose:%20'
    for key in keys:
        html+='\\n%s: %s' % (key, servers[key][0])
    html+="""\\n+:new window");mJ.$0=mJ[/^\w+/.exec(mJ.$)];mJ.$1=/\W/.exec(mJ.$);mJ._="http://"+mJ.$0[0]+"?"+/zoom=[0-9]+/.exec(mJ._)+"&"+/lat=[-\.0-9]+/.exec(mJ._)+"&"+/lon=[-\.0-9]+/.exec(mJ._)+"&layers="+mJ.$0[1];if(/\W/.exec(mJ.$)){void(open(mJ._))}else{document.location=mJ._};\'></input>
<script type="text/javascript">
function xGetElementById(e) {
    if(typeof(e)!='string') return e;
    if(document.getElementById) e=document.getElementById(e);
    else if(document.all) e=document.all[e];
    else e=null;
    return e;
}
function jFocus(elm) {
    if(typeof(elm) == 'string') {
        elm = xGetElementById(elm);
    }
    if (elm) {     
        elm.focus();
        elm.select();
    }
}
jFocus('mj');
</script></body></html>"""
    return html

